#
# spec file for package bluez-gnome (Version 1.8)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           bluez-gnome
BuildRequires:  bluez-devel
BuildRequires:  gconf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  hal-devel
BuildRequires:  intltool
BuildRequires:  libnotify-devel
BuildRequires:  update-desktop-files
%if %suse_version > 1010
BuildRequires:  dbus-1-glib-devel
%else
BuildRequires:  dbus-1-devel dbus-1-glib
%endif
License:        GPL v2 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
Version:        1.8
Release:        5.1
Summary:        Bluetooth helpers for GNOME
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM bluez-gnome-fix-sendto.patch bnc441677 vuntz@novell.com -- Patch taken from Fedora (patch already committed upstream)
Patch0:         bluez-gnome-fix-sendto.patch
# PATCH-FEATURE-UPSTREAM bluez-gnome-wizard-custom-pin.patch bnc445821 bgo570457 vuntz@novell.com -- Allow the user to enter a custom PIN
Patch1:         bluez-gnome-wizard-custom-pin.patch
Url:            http://www.bluez.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
Requires:       bluez
%if %suse_version < 1100
Requires:       gnome-vfs-obexftp
%else
Requires:       gvfs-backends
%endif
%gconf_schemas_prereq

%description
Bluetooth helpers for GNOME



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>

%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
    --disable-mime-update \
    --disable-desktop-update 
%__make %{?jobs:-j%jobs}

%install
%makeinstall
# FIXME: Applet has no visible desktop file. If it crashes, there is no way back.
%suse_update_desktop_file bluetooth-properties GNOME System X-SuSE-ControlCenter-System
%suse_update_desktop_file bluetooth-analyzer
%suse_update_desktop_file $RPM_BUILD_ROOT/etc/xdg/autostart/bluetooth-applet.desktop
%find_lang bluetooth-manager
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
rm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%post
if test -x %{_bindir}/update-mime-database ; then
  %{_bindir}/update-mime-database %{_datadir}/mime >/dev/null
fi

%postun
if test -x %{_bindir}/update-mime-database ; then
  %{_bindir}/update-mime-database %{_datadir}/mime >/dev/null
fi

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_datadir}/applications/bluetooth-analyzer.desktop
%{_datadir}/applications/bluetooth-properties.desktop
%{_datadir}/mime/packages/bluetooth-manager.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/bluetooth-analyzer
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-browse
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-sendto
%{_bindir}/bluetooth-wizard
%doc %{_mandir}/man?/*.*
%if %suse_version < 1030
%dir %{_sysconfdir}/xdg/autostart
%endif

%files lang -f bluetooth-manager.lang

%changelog
* Wed Feb  4 2009 vuntz@novell.com
- Add bluez-gnome-wizard-custom-pin.patch: allow the user to enter
  a custom PIN code, so that it's possible to pair devices with no
  keyboard/screen that are unknown to bluez-gnome. Fix bnc#445821.
* Mon Dec  1 2008 vuntz@novell.com
- Add bluez-gnome-fix-sendto.patch to have sending to device
  working. Fix bnc#441677.
* Wed Oct 15 2008 mboman@suse.de
- Update to version 1.8:
  + Add additional support for using obex-client.
  + Make mice and keyboards automatically trusted.
* Fri Oct  3 2008 mboman@suse.de
- Update to version 1.7:
  + Add support for HAL enabled kill switches.
  + Add new visibility settings.
  + Add device setup button to properties application.
  + Add activation menu with option to setup devices.
  + Use the Icon property for device type icons.
  + Use the Alias property for device names.
* Tue Sep 30 2008 mboman@suse.de
- Update to version 1.5:
  + Use GIO to normalize pathnames.
  + Fix getting name of remote devices.
  + Write "time left" in human readable terms.
* Tue Sep 16 2008 dmueller@suse.de
- adjust bluez requires
* Mon Sep 15 2008 jpr@suse.de
- Update to 1.4 for bluez 4.x
    Use longer D-Bus timeout for device creation.
    Add Simple Pairing support to the wizard.
    Add bluetooth-browse application.
    Stop discovery when closing browse dialog.
    Connect keyboards and mice after setup.
    Introduce headphone device type.
    Fix pincode handling for headsets and mice.
    Fix complete status when going back to search page.
    Use StartDiscovery and StopDiscovery method calls.
    Sort search lists by RSSI value.
    Add support for numeric passkey requests.
    Add support for confirmation requests.
    Remove --singleton from desktop files.
    Fix device status display in selection lists.
    Enable bluetooth-sendto application.
    Enable bluetooth-wizard application.
* Mon Sep  1 2008 ro@suse.de
- for 11.0, require gvfs-backends instead of gnome-vfs-obexftp
* Tue Aug 12 2008 captain.magnus@opensuse.org
- Update to version 0.28
  + Import translations from Ubuntu Rosetta.
  + Add selected device name property.
  + Hide filters box when not needed.
* Wed Jul  2 2008 jpr@suse.de
- Update to version 0.27
  * Improve the handling of error messages.
  * Make the display of service names translatable.
  * Remove status column for services.
  * Disable the passkey confirmation part.
  * Enable PIE by default if supported.
  * Don't optimize when debug is enabled.
  * Update user interface of sendto application.
  * Move analyzer application to the system category.
  * Translation updates
* Tue Mar 18 2008 jpr@suse.de
- Update to version 0.25
    Remove signal handlers when no longer needed.
    Show OBEX errors and close server on failure.
    Update various translations.
    Add tablets and joypads/joysticks device types.
    Fix setting filter properties in the device selection widget.
    Fix missing assignment of filter labels.
    Show all the possibly known devices.
* Tue Mar  4 2008 jpr@suse.de
- Update to version 0.23
    Update for obex-data-server version 0.3 API.
    Allow translation of the sendto application.
    Fix annotation for missing translatable strings.
    Fix translation issue for desktop files.
    Disable signals when finalizing the object.
    Make about dialog a single instance.
    Add new Tango friendly Bluetooth icon.
    Add support for file receiving.
    Add support for file sharing.
  Don't show class of device selector when HAL is used.
  Enable the clickable links and call applications.
  Make search button and discovery work again.
  Fix detection of database update tools.
  Separate status icon, notification and agent handling.
  Handle uint64 file size variables.
  Use object path for session path type.
  Use well known name to autostart the OBEX service.
  Add more supported HAL classes.
  Add support for handling default adapter changes.
  Make device selection widget look better.
  Make notification library a requirement.
  Enable sendto application.
  Updated translations
* Thu Jan 31 2008 rodrigo@suse.de
- Update to version 0.15:
  * Use buttons in notification popups
  * Use CreateSecureDevice for input device setup
  * Add remove button for network connections
  * Enable connect/disconnect button for network devices
  * Enable singleton support
  * Update device selection widget
  * Make tooltips HIG compliant
* Wed Nov  7 2007 jpr@suse.de
- Require bluez-utils (#339906)
* Thu Oct 25 2007 jpr@suse.de
- Upgrade to 0.14
    Add support for Bluetooth mime types.
    Add support for service specific actions.
    Ask user to confirm when deleting a bonding.
    Add support for disconnecting devices.
    Add support for changing the trust status.
    Add trust checkbox to authorization dialog.
    Add support for BTSnoop files with baseband data.
    Add support for showing list of bonded devices.
    Split properties code into multiple files.
    Add Bluetooth protocol analyzer application.
    Add Bluetooth device selection widget.
    Add browse device menu entry.
    Remove GTK compat code for status icon.
    Simplify the GConf callbacks.
    Make some strings more translator friendly.
    Don't translate command-line warnings.
    Add support for limited discovery mode.
    Fix handling of multiple adapters.
    Use HAL for initial class of device setup.
    Add basic support for authorization agent.
    Add missing manual pages.
    Add GConf schema support.
    Add translatable desktop and schema files.
  Translations
- Reduce build requires slightly
- Remove gnome-off-support-patch, the ui it applied to is gone
- Create -lang pack
- Use gconf macros
* Thu Jun 21 2007 sbrabec@suse.cz
- Support for turning Bluetooth on by GUI (#226137).
* Sun Mar 11 2007 stbinner@suse.de
- fix build (/etc/xdg/autostart ownership)
* Wed Jan 10 2007 sbrabec@suse.cz
- Some specfile cleanup.
* Thu Nov 30 2006 sbrabec@suse.cz
- Build correctly in older products.
* Tue Nov 14 2006 sbrabec@suse.cz
- Updated to version 0.6 (#220551).
* Mon Oct 16 2006 jhargadon@suse.de
- initial submission of package
